Subject: [Roll] Éric Vyncke's No Objection on draft-ietf-roll-turnon-rfc8138-13: (with COMMENT)

From: Éric Vyncke via Datatracker <[email-masked]>
Date: Mon, 07 Sep 2020 23:38:13 -0700

Éric Vyncke has entered the following ballot position for
draft-ietf-roll-turnon-rfc8138-13: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-roll-turnon-rfc8138/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Thank you for the work put into this document.

Carles Gomez has done a Last Call IoT directorate review at
https://mailarchive.ietf.org/arch/msg/iot-directorate/_UG_q8yutQU28ldYK1cdySTQoNs
and had a couple of nits and comments that were discussed and implemented.
Thank you Carles for the review and thank you Pascal for updating the document
accordingly.

I have only one comment/suggestion below.

I hope that this helps to improve the document,

Regards,

-éric

-- Section 5  --
I find this text confusing at first read "adding nodes that do not support
[RFC8138] after a roll back may be problematic if the roll back did not fully
complete" I had to read section 5.3 to fully understand it.

Should something like ", the network operator must ensure that the roll back
operation is completed before adding nodes that do not support RFC 8138" be
easier to understand ?

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Tue, 8 Sep 2020 07:31:05 +0000

Many thanks Eric and (again) Carles:

> Thank you Carles for the review and thank you Pascal for updating the
> document accordingly.

: )

> operation is completed before adding nodes that do not support RFC 8138" be

Looks good, I'll make the change. Should we uppercase the must?

Take care,

Pascal

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Tue, 8 Sep 2020 07:35:30 +0000

Pascal, look for EV>

-----Original Message-----
From: Pascal Thubert <[email-masked]>
Date: Tuesday, 8 September 2020 at 09:31
To: Eric Vyncke <[email-masked]>, The IESG <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Ines Robles <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE: Éric Vyncke's No Objection on draft-ietf-roll-turnon-rfc8138-13: (with COMMENT)

EV> thinking more about it, what about a "SHOULD" ?

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Tue, 8 Sep 2020 07:40:06 +0000

Yes!

> From: Eric Vyncke (evyncke) <[email-masked]>
> Sent: mardi 8 septembre 2020 09:36
> To: Pascal Thubert (pthubert) <[email-masked]>; The IESG
> <[email-masked]>
> Cc: [email-masked]; [email-masked]; [email-masked];
> Ines Robles <[email-masked]>; [email-masked];
> [email-masked]
> Subject: Re: Éric Vyncke's No Objection on draft-ietf-roll-turnon-rfc8138-13:
> (with COMMENT)
> 
> Pascal, look for EV>
> 
> Cc: "[email-masked]" <draft-ietf-roll-turnon-
> [email-masked]>, "[email-masked]" <[email-masked]>,
> "[email-masked]" <[email-masked]>, Ines Robles
> <[email-masked]>, "[email-masked]"
> <[email-masked]>, "[email-masked]"
> <[email-masked]>

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Tue, 8 Sep 2020 07:59:05 +0000

Hello again Eric

I published as -14:

URL:            https://www.ietf.org/id/draft-ietf-roll-turnon-rfc8138-14.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-roll-turnon-rfc8138/
Html:           https://www.ietf.org/id/draft-ietf-roll-turnon-rfc8138-14.html
Htmlized:       https://tools.ietf.org/html/draft-ietf-roll-turnon-rfc8138-14
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-roll-turnon-rfc8138-14

Many thanks again!

Pascal

> From: Pascal Thubert (pthubert) <[email-masked]>
> Sent: mardi 8 septembre 2020 09:40
> To: Eric Vyncke (evyncke) <[email-masked]>; The IESG <[email-masked]>
> > Cc: [email-masked]; [email-masked];
> > [email-masked]; Ines Robles <[email-masked]>;
> > [email-masked]; [email-masked]
> >     > operation is completed before adding nodes that do not support RFC
> 8138"
> > be
> >     > easier to understand ?
> >     >
> >

---

From: Alvaro Retana <[email-masked]>
Date: Tue, 8 Sep 2020 12:59:39 -0700

Pascal

Hi!

Sorry for commenting after you published -14, but I don't think that
"SHOULD ensure" is a normatively enforceable action.  How about this?

OLD>
   Though it is possible to roll back (see Section 5.3, the network operator
   SHOULD ensure that the roll back operation is completed before adding nodes
   that do not support [RFC8138].

NEW>
   Though it is possible to roll back (see Section 5.3), the roll back
   operation SHOULD be complete before the network operator adds nodes that
   do not support [RFC8138].

Thanks!

Alvaro.

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Wed, 9 Sep 2020 09:29:49 +0000

Hello Alvaro:

This looks better, I agree, though  the difference is subtle.

I committed you rproposed change in https://github.com/roll-wg/roll-turnon-rfc8138/commit/dd8915c3205c8d530b9f2638ac537db254b5fbbb 

If that's OK I'll delay the publication to gather other review comment in 15?

Many thanks,

Pascal

> From: Alvaro Retana <[email-masked]>
> Sent: mardi 8 septembre 2020 22:00
> To: The IESG <[email-masked]>; Pascal Thubert (pthubert)
> <[email-masked]>; Eric Vyncke (evyncke) <[email-masked]>
> Cc: [email-masked]; [email-masked]; [email-masked]; draft-ietf-roll-
> [email-masked]; Ines Robles <[email-masked]>
> Sorry for commenting after you published -14, but I don't think that "SHOULD
> ensure" is a normatively enforceable action.  How about this?
> 
> OLD>
> > Status:
> > Htmlized:
> > https://tools.ietf.org/html/draft-ietf-roll-turnon-rfc8138-14
> > Diff:
> > https://www.ietf.org/rfcdiff?url2=draft-ietf-roll-turnon-rfc8138-14
> >
> > Many thanks again!
> >
> > Pascal